WordPress.org

Support

Support » Installation » 2.5.1 upgrade: is it necessary? Is it safe?

2.5.1 upgrade: is it necessary? Is it safe?

  • I’m happily using 2.5 with no problems. I read some of the initial reports of 2.5.1 upgrade, and they scared me off. I finally got things working the way I want and I’m hesitant to break anything by upgrading. Is there any major reason to upgrade? Is it an improvement over 2.5?

Viewing 3 replies - 1 through 3 (of 3 total)
  • Moderator Samuel Wood (Otto)

    @otto42

    WordPress.org Tech Dude

    Yes. Yes.

    I usually wait a few days at most between the release of an upgrade, make sure there is no glaring problems that got missed, and then go for it.

    Always make sure you have a good backup in case you do screw something up, happens to the nest of us.

    Keeping your blog updated keeps the whole WordPress community safer.

    Stick with 2.5.1

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘2.5.1 upgrade: is it necessary? Is it safe?’ is closed to new replies.